<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateDatesItem StructType
 * @subpackage Structs
 */
class UpdateDatesItem extends AbstractStructBase
{
    /**
     * The DateLastUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $DateLastUpdate;
    /**
     * The Name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Name;
    /**
     * Constructor method for UpdateDatesItem
     * @uses UpdateDatesItem::setDateLastUpdate()
     * @uses UpdateDatesItem::setName()
     * @param string $dateLastUpdate
     * @param string $name
     */
    public function __construct($dateLastUpdate = null, $name = null)
    {
        $this
            ->setDateLastUpdate($dateLastUpdate)
            ->setName($name);
    }
    /**
     * Get DateLastUpdate value
     * @return string
     */
    public function getDateLastUpdate()
    {
        return $this->DateLastUpdate;
    }
    /**
     * Set DateLastUpdate value
     * @param string $dateLastUpdate
     * @return \StructType\UpdateDatesItem
     */
    public function setDateLastUpdate($dateLastUpdate = null)
    {
        // validation for constraint: string
        if (!is_null($dateLastUpdate) && !is_string($dateLastUpdate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dateLastUpdate, true), gettype($dateLastUpdate)), __LINE__);
        }
        $this->DateLastUpdate = $dateLastUpdate;
        return $this;
    }
    /**
     * Get Name value
     * @return string|null
     */
    public function getName()
    {
        return $this->Name;
    }
    /**
     * Set Name value
     * @param string $name
     * @return \StructType\UpdateDatesItem
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->Name = $name;
        return $this;
    }
}
